Subject: bug#57802: closed (Re: bug#57802: MBR problem)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 14 Sep 2022 16:38:02 +0000

Your bug report

#57802: MBR problem

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57802: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57802
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57802: MBR problem
From: "Brian C. Lane" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 14 Sep 2022 09:37:02 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Sep 14, 2022 at 01:31:41PM +0200, Thomas wrote:
> Hello,
> 
> I discovered that Gparted writes to the MBR (0 to 446 sectors) when it is
> empty.
> 
> Yesterday i used a live cd of ubuntu to delete a partition of my disk with
> Gparted. And my pc didn't boot after that.
> 
> My os is a Fedora server installed in UEFI. Note that Grub is not installed
> in the MBR or in the partition. I don't know how but it boots fine like
> that.
> 
> 
> So i had to delete the code Gparted writed in the MBR (0 to 446 sectors) to
> boot again ("sudo dd if=/dev/zero of=/dev/sda bs=446 count=1").
> 
> I think Gparted should not touch the MBR (0 to 446 sectors) when it is not
> ask by the user.

parted is not gparted (see https://gparted.org/), and parted only
writes the bootloader code when using a msdos disklabel. While it is
possible to use a msdos disklabel with UEFI, it should be using GPT.

I'm also not sure why a UEFI system wouldn't boot with the MBR written.
It should just ignore it and use the ESP partition.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart

Subject: MBR problem
From: Thomas <[email-masked]>
To: [email-masked]
Date: Wed, 14 Sep 2022 13:31:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I discovered that Gparted writes to the MBR (0 to 446 sectors) when it is
empty.

Yesterday i used a live cd of ubuntu to delete a partition of my disk with
Gparted. And my pc didn't boot after that.

My os is a Fedora server installed in UEFI. Note that Grub is not installed
in the MBR or in the partition. I don't know how but it boots fine like
that.

So i had to delete the code Gparted writed in the MBR (0 to 446 sectors) to
boot again ("sudo dd if=/dev/zero of=/dev/sda bs=446 count=1").

I think Gparted should not touch the MBR (0 to 446 sectors) when it is not
ask by the user.

Thanks

Thomas